<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Package ch.javasoft.smx.ops
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Package ch.javasoft.smx.ops";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/ops/package-use.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Package<br>ch.javasoft.smx.ops</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.column"><B>ch.javasoft.metabolic.efm.column</B></A></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.iface"><B>ch.javasoft.smx.iface</B></A></TD>
<TD>The <tt>smx.iface</tt> package contains interfaces representing matrices for
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.impl"><B>ch.javasoft.smx.impl</B></A></TD>
<TD>The <tt>smx.impl</tt> package contains classes implementing the interfaces
defined in <A HREF="../../../../ch/javasoft/smx/iface/package-summary.html"><CODE>iface</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.ops"><B>ch.javasoft.smx.ops</B></A></TD>
<TD>The <tt>smx.ops</tt> package contains classes for mathematical operations with
matrices, such as <A HREF="../../../../ch/javasoft/smx/ops/Neg.html" title="class in ch.javasoft.smx.ops"><CODE>negation</CODE></A>,
<A HREF="../../../../ch/javasoft/smx/ops/Transpose.html" title="class in ch.javasoft.smx.ops"><CODE>transposition</CODE></A>,
<A HREF="../../../../ch/javasoft/smx/ops/Mul.html" title="class in ch.javasoft.smx.ops"><CODE>matrix multiplication</CODE></A> or different linear 
algebra methods based on <A HREF="../../../../ch/javasoft/smx/ops/Gauss.html" title="class in ch.javasoft.smx.ops"><CODE>Gaussian elimination</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.ops.matrix"><B>ch.javasoft.smx.ops.matrix</B></A></TD>
<TD>The <tt>smx.ops.matrix</tt> package contains classes implementing
<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops"><CODE>MatrixOperations</CODE></A> for matrices of
different number types&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.column"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> used by <A HREF="../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/MatrixOperations.html#ch.javasoft.metabolic.efm.column"><B>MatrixOperations</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>MatrixOperations</code> is similar to <A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>NumberOperations</CODE></A>, but
 for matrices.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.iface"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> used by <A HREF="../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/MatrixOperations.html#ch.javasoft.smx.iface"><B>MatrixOperations</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>MatrixOperations</code> is similar to <A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>NumberOperations</CODE></A>, but
 for matrices.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> used by <A HREF="../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/MatrixOperations.html#ch.javasoft.smx.impl"><B>MatrixOperations</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>MatrixOperations</code> is similar to <A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>NumberOperations</CODE></A>, but
 for matrices.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.ops"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> used by <A HREF="../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/Gauss.html#ch.javasoft.smx.ops"><B>Gauss</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Matrix operations based on gauss, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/GaussPivoting.html#ch.javasoft.smx.ops"><B>GaussPivoting</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>GaussPivoting</code> interface defines a pivoting strategy for
 the gauss algorithm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/Hsl.Info_mc66.html#ch.javasoft.smx.ops"><B>Hsl.Info_mc66</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/Hsl.Result_mc66.html#ch.javasoft.smx.ops"><B>Hsl.Result_mc66</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Output structure to return multiple result values</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.ops.matrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> used by <A HREF="../../../../ch/javasoft/smx/ops/matrix/package-summary.html">ch.javasoft.smx.ops.matrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/ExtendedMatrixOperations.html#ch.javasoft.smx.ops.matrix"><B>ExtendedMatrixOperations</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Extended matrix operations adds more complex operations for matrices, such
 as inversion or nullspace computation, where the result matrix is not
 necessarily of the same number type as the input matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/Gauss.html#ch.javasoft.smx.ops.matrix"><B>Gauss</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Matrix operations based on gauss, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../ch/javasoft/smx/ops/class-use/MatrixOperations.html#ch.javasoft.smx.ops.matrix"><B>MatrixOperations</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>MatrixOperations</code> is similar to <A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>NumberOperations</CODE></A>, but
 for matrices.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/ops/package-use.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
